package industries.sunshine.planningpoker

import scala.scalajs.js
import scala.scalajs.js.annotation.*
import com.raquo.laminar.api.L.{*, given}
import industries.sunshine.planningpoker.common.Models.*

import org.scalajs.dom

// import javascriptLogo from "/javascript.svg"
@js.native @JSImport("/javascript.svg", JSImport.Default)
val javascriptLogo: String = js.native

@main
def PlanningPokerUrgh(): Unit =
  renderOnDomContentLoaded(
    dom.document.getElementById("app"),
    Main.appElement()
  )

object Main {
  final case class AppState(
    myId: Option[PlayerID]
  )
  // TODO is this ok for state creation? link with auth component and use in another?
  val appStateSignal = Var(AppState(Some(TestModels.me.id))).signal

  def appElement(): Element = {
    div(
      className := "w-screen h-screen flex flex-col justify-center items-center",
      div(
        className := "h-24 w-full flex flex-for justify-center items-center bg-green-200",
        p(className := "text-2xl", "Here be header"),
      ),
      RoomView.renderRoom(TestModels.testRoom)
    )
  }
}
